server {
  listen 8080;
  location / {
    root   /usr/share/nginx/html;
	try_files $uri $uri/ /index.html;
	index  index.html index.htm;
  }
  location /prod-api/ {
    proxy_pass http://172.28.1.230:9003/;
    add_header Access-Control-Allow-Credentials true;
    add_header Access-Control-Allow-Origin  *;
    add_header Access-Control-Allow-Headers 'x-requested-with,content-type,Cache-Control,Pragma,Date,x-timestamp';
    add_header Access-Control-Allow-Methods 'POST,GET,OPTIONS,PUT,DELETE';
    add_header Access-Control-Expose-Headers 'WWW-Authenticate,Server-Authorization';
    add_header P3P 'policyref="/w3c/p3p.xml", CP="NOI DSP PSAa OUR BUS IND ONL UNI COM NAV INT LOC"';
    if ($request_method = 'OPTIONS') {
      return 204;
    }
  }
}